Subject: Re: [PATCH] CAS DFP support

From: Will Schmidt <[email-masked]>
Date: Wed, 22 Nov 2006 12:36:09 -0600

On Wed, 2006-22-11 at 10:41 -0600, Kumar Gala wrote:
> On Nov 22, 2006, at 10:06 AM, Peter Bergner wrote:
> 
> > On Wed, 2006-11-22 at 09:46 -0600, Kumar Gala wrote:
> >> On Nov 22, 2006, at 9:20 AM, Jake Moilanen wrote:
> >>
> >>> When booting a Power6 in compat mode, the DFP bit must be set in the
> >>> client architecture call, or else firmware will downgrade the
> >>> compliance
> >>> to P5 compat mode, thus removing VMX and DFP instructions.
> >>>
> >>> Signed-off-by: Jake Moilanen <[email-masked]>
> >>>
> >>> --- 2.6/arch/powerpc/kernel/prom_init.c~	2006-11-13
> >>> 15:01:13.000000000
> >>> -0600
> >>> +++ 2.6/arch/powerpc/kernel/prom_init.c	2006-11-21
> >>> 18:38:27.000000000
> >>> -0600
> >>> @@ -627,6 +627,7 @@ static void __init early_cmdline_parse(v
> >>>  /* Option vector 3: processor options supported */
> >>>  #define OV3_FP			0x80	/* floating point */
> >>>  #define OV3_VMX			0x40	/* VMX/Altivec */
> >>> +#define OV3_DFP			0x20	/* decimal floating point */
> >>
> >> Can we make the flag OV3_DECFP to distinguish it from Double FP.
> >
> > One thing OV3_DFP has going for it is that is matches the nomenclature
> > used by GCC, binutils.  I'm not sure what you mean by Double FP,
> > unless
> > you're referring to the double wide FP unit on the Blue Gene/L 440
> > processor, but they don't refer to it as Double FP.
> 
> I'm referring to plain old double precision floating point.  The e500
> core from Freescale has version that provide embedded single
> precision floating point (EFP_SINGLE) and versions that provide both
> embedded double precision floating point (EFP_DOUBLE).  I just want
> use to be clear the DFP could mean either double or decimal as far as
> I'm concerned.

the comment on the #define "/* decimal floating point */"  should be
sufficient for that clarification tho, right? 

> 
> Also, I think the 602 (may have never seen the light of day) only
> implemented single precision floating point.
> 
> - k
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev